%define major	17
%define lib_ver	0.2.3
%define libname	%mklibname openshot %{major}
%define devname	%mklibname openshot -d

%define with_ruby	0

Name:		libopenshot
Version:	2.4.4
%define         subrel 1
Release:	%mkrel 2
Summary:	Library for creating and editing videos
License:	LGPLv3+
Group:		System/Libraries
URL:		http://www.openshot.org/
Source0:	https://github.com/OpenShot/libopenshot/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		libopenshot-0.2.2-fix-build-with-imagemagick7.patch

BuildRequires:	cmake
BuildRequires:	cppzmq-devel
BuildRequires:	doxygen
BuildRequires:	swig
BuildRequires:	ffmpeg-devel
%if %{with_ruby}
BuildRequires:	pkgconfig(ruby)
%endif
BuildRequires:	libopenshot-audio-devel >= 0.1.4
BuildRequires:	pkgconfig(ImageMagick) >= 7.0
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(UnitTest++)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5MultimediaWidgets)

%description
OpenShot Library (libopenshot) is an open-source project
dedicated to delivering high quality video editing, animation,
and playback solutions to the world. For more information
visit <http://www.openshot.org/>.

#----------------------------------------------------

%package -n	%{libname}
Summary:	OpenShot Library
Group:		System/Libraries

%description -n	%{libname}
OpenShot Library (libopenshot) is an open-source project
dedicated to delivering high quality video editing, animation,
and playback solutions to the world. For more information
visit <http://www.openshot.org/>.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	openshot-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package -n	python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python

%description -n	python3-%{name}
The python3-%{name} package contains python 3 bindings for
applications that use %{name}.

#----------------------------------------------------
%if %{with_ruby}
%package -n	ruby-%{name}
Summary:	Ruby bindings for %{name}
Group:		Development/Ruby

%description -n	ruby-%{name}
The ruby-%{name} package contains ruby bindings for
applications that use %{name}.
%endif
#----------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake
%make_build

%install
%make_install -C build

%files -n %{libname}
%{_libdir}/libopenshot.so.%{major}
%{_libdir}/libopenshot.so.%{lib_ver}

%files -n %{devname}
%doc AUTHORS COPYING README.md
%{_includedir}/%{name}/
%{_libdir}/libopenshot.so

%files -n python3-%{name}
%doc AUTHORS COPYING README.md
%{python3_sitearch}/*

%if %{with_ruby}
%files -n ruby-%{name}
%{ruby_vendorarchdir}/*
%endif


%changelog
* Tue Jan 05 2021 neoclust <neoclust> 2.4.4-2.1.mga7
+ Revision: 1669124
- Rebuild against new imagemagick

* Sun Mar 31 2019 umeabot <umeabot> 2.4.4-2.mga7
+ Revision: 1383134
- Qt5 Rebuild

* Thu Mar 21 2019 daviddavid <daviddavid> 2.4.4-1.mga7
+ Revision: 1379457
- new version: 2.4.4
- now libmajor is 17

* Tue Jan 08 2019 daviddavid <daviddavid> 0.2.2-3.mga7
+ Revision: 1352387
- rebuild for new Python 3.7
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Sep 23 2018 daviddavid <daviddavid> 0.2.2-1.mga7
+ Revision: 1297248
- new version: 0.2.2
- now libmajor is 16
- rename and rediff fix-build-with-imagemagick7 patch
- remove merged upstream patches

* Wed May 02 2018 kekepower <kekepower> 0.1.9-4.mga7
+ Revision: 1224488
- Rebuild for ImageMagic 7.0.7.29

* Sun Apr 29 2018 daviddavid <daviddavid> 0.1.9-3.mga7
+ Revision: 1223312
- add patch to fix build with ffmpeg 4.0
- rebuild for new ffmpeg 4.0

* Sun Apr 15 2018 daviddavid <daviddavid> 0.1.9-2.mga7
+ Revision: 1218963
- add rosa patch to fix build with ImageMagick >= 7.0
- rebuild for new imagemagick
+ kekepower <kekepower>
- Rebuild for new ImageMagick

* Sat Jan 06 2018 daviddavid <daviddavid> 0.1.9-1.mga7
+ Revision: 1190862
- new version: 0.1.9
- now libmajor is 14
- add upstream patch to fix build with ruby 2.4+

* Wed Dec 27 2017 wally <wally> 0.1.8-2.mga7
+ Revision: 1185713
- rebuild for new imagemagick

* Tue Sep 19 2017 daviddavid <daviddavid> 0.1.8-1.mga7
+ Revision: 1155724
- new version: 0.1.8
- now libmajor is 13

* Sat Sep 16 2017 cjw <cjw> 0.1.7-3.mga7
+ Revision: 1154745
- disable ruby bindings package because it fails to build
+ pterjan <pterjan>
- Rebuild for new Ruby

* Fri Aug 04 2017 daviddavid <daviddavid> 0.1.7-2.mga7
+ Revision: 1134773
- rebuild for Python 3.6

* Fri Jun 02 2017 akien <akien> 0.1.7-1.mga6
+ Revision: 1105812
- Version 0.1.7 (major 12)

* Sat May 27 2017 shlomif <shlomif> 0.1.3-5.mga6
+ Revision: 1105213
- rebuild for new imagemagick lib major

* Tue May 02 2017 akien <akien> 0.1.3-4.mga6
+ Revision: 1098297
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 0.1.3-3.mga6
+ Revision: 1089873
- Rebuild for ffmpeg 3.2.4

* Tue Feb 21 2017 wally <wally> 0.1.3-2.mga6
+ Revision: 1087226
- BR cppzmq instead of libzmq

* Wed Dec 28 2016 daviddavid <daviddavid> 0.1.3-1.mga6
+ Revision: 1078529
- new version: 0.1.3
- now libmajor is 0
- package the ruby bindings

* Mon Oct 10 2016 daviddavid <daviddavid> 0.1.2-2.mga6
+ Revision: 1060056
- rebuild for ARM

* Mon Oct 10 2016 daviddavid <daviddavid> 0.1.2-1.mga6
+ Revision: 1059969
- initial package libopenshot

